import { Logger } from '../../util/logger';
import { DefaultUpdater } from '../default';
import { Version } from '../../version';
/**
 * This updates a Node.js package.json file's main version.
 */
export declare class PackageJson extends DefaultUpdater {
    /**
     * Given initial file contents, return updated contents.
     * @param {string} content The initial content
     * @returns {string} The updated content
     */
    updateContent(content: string, logger?: Logger): string;
}
/**
 * Helper to coerce a new version value into a version range that preserves the
 * version range prefix of the original version.
 * @param {string} oldVersion Old semver with range
 * @param {Version} newVersion The new version to update with
 */
export declare function newVersionWithRange(oldVersion: string, newVersion: Version): string;
